Package ghidra.app.util.bin.format.dwarf.macro.entry

# Record Class DWARFMacroDefine.MacroInfo

java.lang.Object
java.lang.Record
ghidra.app.util.bin.format.dwarf.macro.entry.DWARFMacroDefine.MacroInfo

Enclosing class:
  `DWARFMacroDefine`

public static record DWARFMacroDefine.MacroInfo(String macro, String symbolName, List<String> parameters, boolean isFunctionLike, String definition) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MacroInfo(String macro, String symbolName, List<String> parameters, boolean isFunctionLike, String definition)`
  Creates an instance of a `MacroInfo` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `definition()`
  Returns the value of the `definition` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isFunctionLike()`
  Returns the value of the `isFunctionLike` record component.
  `String`
  `macro()`
  Returns the value of the `macro` record component.
  `List<String>`
  `parameters()`
  Returns the value of the `parameters` record component.
  `String`
  `symbolName()`
  Returns the value of the `symbolName` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MacroInfo

    public MacroInfo(String macro, String symbolName, List<String> parameters, boolean isFunctionLike, String definition)
    Creates an instance of a `MacroInfo` record class.
    Parameters:
      `macro` - the value for the `macro` record component
      `symbolName` - the value for the `symbolName` record component
      `parameters` - the value for the `parameters` record component
      `isFunctionLike` - the value for the `isFunctionLike` record component
      `definition` - the value for the `definition` record component

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### macro

    public String macro()
    Returns the value of the `macro` record component.
    Returns:
      the value of the `macro` record component

  - ### symbolName

    public String symbolName()
    Returns the value of the `symbolName` record component.
    Returns:
      the value of the `symbolName` record component

  - ### parameters

    public List<String> parameters()
    Returns the value of the `parameters` record component.
    Returns:
      the value of the `parameters` record component

  - ### isFunctionLike

    public boolean isFunctionLike()
    Returns the value of the `isFunctionLike` record component.
    Returns:
      the value of the `isFunctionLike` record component

  - ### definition

    public String definition()
    Returns the value of the `definition` record component.
    Returns:
      the value of the `definition` record component